#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Command Line Interface Formulation Framework
Summary(pl.UTF-8):	Command Line Interface Formulation Framework - szkielet formułowania linii poleceń
Name:		python3-cliff
Version:	4.10.0
Release:	1
License:	Apache
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/c/cliff/cliff-%{version}.tar.gz
# Source0-md5:	084aa6bc49a6c0d574de30ab60218b1a
URL:		https://pypi.org/project/cliff/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-pbr >= 2.0.0
%if %{with tests}
BuildRequires:	python3-PyYAML >= 3.12
BuildRequires:	python3-cmd2 >= 0.8.0
BuildRequires:	python3-coverage >= 4.0
BuildRequires:	python3-openstackdocstheme >= 1.11.0
BuildRequires:	python3-prettytable >= 0.7.2
BuildRequires:	python3-pyparsing >= 2.1.0
BuildRequires:	python3-six >= 1.10.0
BuildRequires:	python3-stevedore >= 2.0.1
BuildRequires:	python3-subunit >= 1.0.0
BuildRequires:	python3-testrepository >= 0.0.18
BuildRequires:	python3-testscenarios >= 0.4
BuildRequires:	python3-testtools >= 2.2.0
BuildRequires:	sphinx-pdg-3 >= 1.7.0
%endif
BuildRequires:	sed >= 4.0
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cliff is a framework for building command line programs. It uses
setuptools entry points to provide subcommands, output formatters, and
other extensions.

%description -l pl.UTF-8
cliff to szkielet do budowania programów działających z linii poleceń.
Wykorzystuje punkty wejściowe setuptools do zapewnienia podpoleceń,
funkcje formatujące wyjścia i inne rozszerzenia.

%prep
%setup -q -n cliff-%{version}

%build
export PYTHON="%{__python3}"
%py3_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/cliff/tests

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-cliff-%{version}
cp -a demoapp/* $RPM_BUILD_ROOT%{_examplesdir}/python3-cliff-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-cliff-%{version} -name '*.py' \
	| xargs sed -i '1s|^#!.*python\b|#!%{__python3}|'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.rst
%{py3_sitescriptdir}/cliff
%{py3_sitescriptdir}/cliff-%{version}-py*.egg-info
%{_examplesdir}/python3-cliff-%{version}
%changelog
* Thu May 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-cliff.git;a=log;h=master

* Thu May 22 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 0472b8e
- Up to 4.10.0

* Tue Mar 25 2025 Jan Rękorajski <baggins@pld-linux.org> d02cf83
- up to 4.9.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 576cb59
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b255c92
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 467b29f
- use patch -P

* Wed Jan 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 269233e
- don't package tests; release 2

* Wed Jan 17 2024 Jakub Bogusz <qboosh@pld-linux.org> e74d25c
- updated to 2.18.0 with some backported fixes

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 4b9fa53
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 2045b9f
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 74dac0b
- rebuild with python 3.10

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> fe38ad0
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4668a23
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d1549dc
- python 3.7 rebuild
- release 2 (by relup.sh)

* Tue Aug 01 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 166e2be
- new package

